<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-bwd-history-heading" jhiTranslate="clentApp.bwdHistory.home.createOrEditLabel">Create or edit a Bwd History</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="clentApp.bwdHistory.userId" for="field_userId">User Id</label>
                    <input type="text" class="form-control" name="userId" id="field_userId"
                           formControlName="userId"/>
                    <div *ngIf="editForm.get('userId')!.invalid && (editForm.get('userId')!.dirty || editForm.get('userId')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('userId')?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('userId')?.errors?.maxlength" jhiTranslate="entity.validation.maxlength" [translateValues]="{ max: 140 }">
                        This field cannot be longer than 140 characters.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="clentApp.bwdHistory.createTime" for="field_createTime">Create Time</label>
                    <div class="d-flex">
                        <input id="field_createTime" type="datetime-local" class="form-control" name="createTime" formControlName="createTime" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                    <div *ngIf="editForm.get('createTime')!.invalid && (editForm.get('createTime')!.dirty || editForm.get('createTime')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('createTime')?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.get('createTime')?.errors?.ZonedDateTimelocal" jhiTranslate="entity.validation.ZonedDateTimelocal">
                            This field should be a date and time.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="clentApp.bwdHistory.bwdHash" for="field_bwdHash">Bwd Hash</label>
                    <input type="text" class="form-control" name="bwdHash" id="field_bwdHash"
                           formControlName="bwdHash"/>
                    <div *ngIf="editForm.get('bwdHash')!.invalid && (editForm.get('bwdHash')!.dirty || editForm.get('bwdHash')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('bwdHash')?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('bwdHash')?.errors?.maxlength" jhiTranslate="entity.validation.maxlength" [translateValues]="{ max: 255 }">
                        This field cannot be longer than 255 characters.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="clentApp.bwdHistory.bwdCode" for="field_bwdCode">Bwd Code</label>
                    <input type="text" class="form-control" name="bwdCode" id="field_bwdCode"
                           formControlName="bwdCode"/>
                    <div *ngIf="editForm.get('bwdCode')!.invalid && (editForm.get('bwdCode')!.dirty || editForm.get('bwdCode')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('bwdCode')?.errors?.maxlength" jhiTranslate="entity.validation.maxlength" [translateValues]="{ max: 500 }">
                        This field cannot be longer than 500 characters.
                        </small>
                    </div>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
